Package org.flowable.cmmn.api.migration

# Class MoveToAvailablePlanItemDefinitionMapping

java.lang.Object
org.flowable.cmmn.api.migration.PlanItemDefinitionMapping
org.flowable.cmmn.api.migration.MoveToAvailablePlanItemDefinitionMapping

public class MoveToAvailablePlanItemDefinitionMapping extends PlanItemDefinitionMapping

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,Object>`
  `withLocalVariables`

  ### Fields inherited from class org.flowable.cmmn.api.migration.PlanItemDefinitionMapping

  `condition, planItemDefinitionId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MoveToAvailablePlanItemDefinitionMapping(String planItemDefinitionId)`
  `MoveToAvailablePlanItemDefinitionMapping(String planItemDefinitionId, String condition)`
  `MoveToAvailablePlanItemDefinitionMapping(String planItemDefinitionId, Map<String,Object> withLocalVariables)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Object>`
  `getWithLocalVariables()`
  `void`
  `setWithLocalVariables(Map<String,Object> withLocalVariables)`

  ### Methods inherited from class org.flowable.cmmn.api.migration.PlanItemDefinitionMapping

  `getCondition, getPlanItemDefinitionId, setCondition, setPlanItemDefinitionId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### withLocalVariables

    protected Map<String,Object> withLocalVariables

- ## Constructor Details

  - ### MoveToAvailablePlanItemDefinitionMapping

    public MoveToAvailablePlanItemDefinitionMapping(String planItemDefinitionId)

  - ### MoveToAvailablePlanItemDefinitionMapping

    public MoveToAvailablePlanItemDefinitionMapping(String planItemDefinitionId, Map<String,Object> withLocalVariables)

  - ### MoveToAvailablePlanItemDefinitionMapping

    public MoveToAvailablePlanItemDefinitionMapping(String planItemDefinitionId, String condition)

- ## Method Details

  - ### getWithLocalVariables

    public Map<String,Object> getWithLocalVariables()

  - ### setWithLocalVariables

    public void setWithLocalVariables(Map<String,Object> withLocalVariables)